#!/usr/bin/env python3
# input validator

import sys
import re

fi = open(sys.argv[1], 'rt')
fo = open(sys.argv[2], 'wt')

line = re.compile("^[a-z]+$")

s = fi.readline().strip()
if not line.match(s):
	sys.exit('Invalid S')
fo.write('{0}\n'.format(s))

t = fi.readline().strip()
if not line.match(t):
	sys.exit('Invalid T')
fo.write('{0}\n'.format(t))

n = max(len(s), len(t))
if n > 3000:
	sys.exit('N out of range')

fi.close()
fo.close()

if len(sys.argv) > 3 and sys.argv[3] == '-v':
	if n <= 100:
		print('subtask 1')
	elif n <= 400:
		print('subtask 2')
	else:
		print('subtask 3/4')
